import unittest

import vdcpy.file as vdc_file
import tests.utils.user_util as user_util
import tests.utils.project_util as project_util
import tests.utils.work_util as work_util
import tests.utils.file_util as file_util


class DeleteFileTest(unittest.TestCase):

    def setUp(self):
        file_util.delete_unittest_files()
        user_util.delete_unittest_users()
        user_util.add_unittest_user()
        project_util.add_unittest_project()
        work_util.add_unittest_work()
        file_util.make_temp_file_in_temp_folder()
        file_util.add_unittest_file()

    def test_successful_delete_file(self):
        # Get the unittest file id
        file_list = vdc_file.get_files(name='unittest.txt')
        file_id = file_list[0]['id']
        # Delete the file
        vdc_file.delete_file(file_id=file_id)
        # Get the file list again
        file_list = vdc_file.get_files(name='unittest.txt')
        self.assertEqual(len(file_list), 0)
