import unittest

import vdcpy.link as vdc_link


class GetLinkTest(unittest.TestCase):

    def test_successful_get_links(self):
        link_list = vdc_link.get_links()
        self.assertEqual(type(link_list), list)

    def test_successful_get_links_with_file_id(self):
        link_list = vdc_link.get_links(link_id='unittest_id')
        self.assertEqual(type(link_list), list)

    def test_successful_get_links_with_name(self):
        link_list = vdc_link.get_links(name='unittest_name')
        self.assertEqual(type(link_list), list)

    def test_successful_get_links_with_created_by(self):
        link_list = vdc_link.get_links(created_by='test')
        self.assertEqual(type(link_list), list)

    def test_successful_get_links_with_format(self):
        link_list = vdc_link.get_links(format='unittest_format')
        self.assertEqual(type(link_list), list)

    def test_successful_get_links_with_visibility(self):
        link_list = vdc_link.get_links(visibility='open')
        self.assertEqual(type(link_list), list)

    def test_successful_get_links_with_work(self):
        link_list = vdc_link.get_links(work='unittest_work')
        self.assertEqual(type(link_list), list)

    def test_successful_get_links_with_format_and_id(self):
        link_list = vdc_link.get_links(
            format='test', link_id='unittest_id'
        )
        self.assertEqual(type(link_list), list)

    def test_successful_get_project_with_visibility_and_link_list(self):
        project_list = vdc_link.get_links(
            visibility='open', name='unittest_name'
        )
        self.assertEqual(type(project_list), list)
