import unittest

import vdcpy.project as vdc_project


class GetProjectTest(unittest.TestCase):

    def test_successful_get_project(self):
        project_list = vdc_project.get_projects()
        self.assertEqual(type(project_list), list)

    def test_successful_get_project_with_project_id(self):
        project_list = vdc_project.get_projects(project_id='unittest_id')
        self.assertEqual(type(project_list), list)

    def test_successful_get_project_with_title(self):
        project_list = vdc_project.get_projects(title='unittest_title')
        self.assertEqual(type(project_list), list)

    def test_successful_get_project_with_depositor_email(self):
        project_list = vdc_project.get_projects(depositor_email='test')
        self.assertEqual(type(project_list), list)

    def test_successful_get_project_with_size(self):
        project_list = vdc_project.get_projects(size=1)
        self.assertEqual(type(project_list), list)

    def test_successful_get_project_with_size_and_id(self):
        project_list = vdc_project.get_projects(
            size=1, project_id='unittest_id'
        )
        self.assertEqual(type(project_list), list)

    def test_successful_get_project_with_size_and_title(self):
        project_list = vdc_project.get_projects(
            size=1, title='unittest_title'
        )
        self.assertEqual(type(project_list), list)
