import unittest

import vdcpy.user as vdc_user
import tests.utils.user_util as user_util

class DeleteUserTest(unittest.TestCase):

    def setUp(self):
        # Delete all unittest users.
        user_util.delete_unittest_users()
        # Add a unittest user.
        user_util.add_unittest_user()

    def test_successful_delete_user(self):
        # Get the id of the unittest user.
        user_list = vdc_user.get_users(name='unittest_user')
        user_id = user_list[0]['id']
        # Delete the unittest user.
        response = vdc_user.delete_user(user_id)
        self.assertEqual(response, True)

    def test_fail_delete_user_invalid_user(self):
        # Delete the unittest user.
        try:
            response = vdc_user.delete_user('bad_user')
            self.assertEqual(response, 'You are not here')
        except Exception as e:
            self.assertEqual(
                str(e),
                "Error deleting user: 400 - {'message': 'User does not exist.'}"
            )
        
    def TearDown(self):
        # Delete all unittest users.
        user_util.delete_unittest_users()
