import os

import vdcpy.file as vdc_file
import vdcpy.work as vdc_work

def make_temp_file_in_temp_folder():
    """Create a file in the temp folder"""
    # Create temo folder
    os.makedirs('temp', exist_ok=True)
    # Create file
    with open('temp/unittest.txt', 'w') as file:
        file.write('test')


def delete_test_file_and_temp_folder():
    """Delete the test file and temp folder"""
    # Delete file
    try:
        os.remove('temp/unittest.txt')
    except FileNotFoundError:
        pass
    try:
        os.remove('temp/unittest_download.txt')
    except FileNotFoundError:
        pass
    # Delete temp folder
    os.rmdir('temp')


def delete_unittest_files():
    """Delete the unittest file"""
    # Get the unittest file id
    file_list = vdc_file.get_files(name='unittest.txt')
    # Delete the unittest file
    for file_info in file_list:
        file_id = file_info['id']
        # Delete the file
        vdc_file.delete_file(file_id)


def add_unittest_file():
    """Create the unittest file"""
    # Get the unittest work id
    work_list = vdc_work.get_works(title='unittest_work')
    work_id = work_list[0]['id']
    # Post file
    # Create the unittest file
    vdc_file.add_file(
        work_id,
        'temp/unittest.txt'
    )
