import os

import vdcpy.link as vdc_link
import vdcpy.work as vdc_work
import vdcpy.user as vdc_user


def delete_unittest_links():
    # Get all unittest links
    link_list = vdc_link.get_links(name='unittest_link')
    for link_info in link_list:
        vdc_link.delete_link(link_info['id'])

    link_list = vdc_link.get_links(name='unittest_link_updated')
    for link_info in link_list:
        vdc_link.delete_link(link_info['id'])


def add_unittest_link():
    # Get unittest work id
    work_list = vdc_work.get_works(title='unittest_work')
    work_id = work_list[0]['id']
    # Get unittest user id
    user_list = vdc_user.get_users(name='unittest_user')
    user_id = user_list[0]['id']

    link_info = {
        'link': 'https://upload.wikimedia.org/wikipedia/commons/thumb/3/30/University_of_Utah_horizontal_logo.svg/383px-University_of_Utah_horizontal_logo.svg.png',
        'name': 'unittest_link',
        'visibility': 'open',
        'work': work_id,
        'created_by': user_id
    }
    vdc_link.add_link(link_info)

def make_temp_directory():
    # Create a temp directory
    if not os.path.exists('temp'):
        os.makedirs('temp')

def delete_test_file_and_temp_folder():
    # Delete the test file and temp folder
    if os.path.exists('temp/logo.png'):
        os.remove('temp/logo.png')
    if os.path.exists('temp'):
        os.rmdir('temp')